ServerEvents.recipes(event => {
    event.custom({
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "BCB",
    "CAC",
    "BCB"
  ],
  "key": {
    "A": {
      "item": "minecraft:dragon_head"
    },
    "B":{
      "item": "farmersdelight:rope"
    },
    "C": {
      "item": "minecraft:shulker_shell"
    }
  },
  "result": {
    "item": "thirstcanteen:dragon_bottle",
    "count": 2
  }
    })
    event.remove({output:'thirstcanteen:dragon_bottle'})
})